精华内容
下载资源
问答
  • ROS on windows

    2020-04-04 12:59:57
    在Windows系统上安装ros需要win10 64位系统或者windows IoT (物联网) 预留安装空间 需要c:/opt 目录下没有任何文件,或者没有这个目录 c:/opt是Ros默认安装位置,目前不能更改其他安装目录 至少给C盘预留10GB空间...

    安装ROS melodic morenia 到windows系统

    操作系统

    在Windows系统上安装ros需要win10 64位系统或者windows IoT (物联网)

    预留安装空间

    • 需要c:/opt 目录下没有任何文件,或者没有这个目录
    • c:/opt是Ros默认安装位置,目前不能更改其他安装目录
    • 至少给C盘预留10GB空间

    安装VS2019

    为Windows生成ROS项目需要Visual Studio和Windows的Microsoft SDK。

    • 需要“C++“”工作负载
    • 如果要构建WinML,请包括“通用Windows平台开发”工作负载。
      VS的安装可以参照VS2019安装教程

    安装Windows包管理器

    Chocolatey是Windows的程序包管理器。它用于简化安装构建和运行ROS项目所需的工具和库的过程。

    1. 在开始菜单,找到x64 Native Tools Command Prompt for VS 2019。这里可以直接用搜索功能。

    2. 右键,选择以管理员身份运行

    3. 复制下面的命令行:

      @"%SystemRoot%\System32\WindowsPowerShell\v1.0\powershell.exe" -NoProfile -InputFormat None -ExecutionPolicy Bypass -Command “iex ((New-Object System.Net.WebClient).DownloadString(‘https://chocolatey.org/install.ps1’))” && SET “PATH=%PATH%;%ALLUSERSPROFILE%\chocolatey\bin”

      • 粘贴到cmd
      • 批准任何提示
      • 安装完成后关闭cmd
    4. 安装git

      • 重新以管理员身份打开一个VSx64 cmd
      • 如果已经安装过git,使用

      choco upgrade git -y

      安装Git之后,请确保Git现在在Visual Studio命令窗口中可用

      git --version

      如果git可用,关闭命令行

    安装二进制软件包

    安装推荐的desktop_full元软件包。元软件包是其他软件包的集合。桌面完全元软件包是指构建,运行,调试和可视化机器人所需的许多其他软件包。

    1. 安装ROS Last Known Good Build

    1. 以管理员身份打开 VSx64 command,运行下面的命令。

    mkdir c:\opt\chocolatey
    set ChocolateyInstall=c:\opt\chocolatey
    choco source add -n=ros-win -s=“https://roswin.azurewebsites.net/api/v2” --priority=1
    choco upgrade ros-melodic-desktop_full -y --execution-timeout=0

    2. 安装ROS 2 Nightly Build

    mkdir c:\opt\chocolatey
    set ChocolateyInstall=c:\opt\chocolatey
    choco source add -n=ros-win -s=“https://roswin.azurewebsites.net/api/v2” --priority=1
    choco upgrade ros-eloquent-desktop -y --execution-timeout=0 --pre

    创建Ros cmd 快捷方式

    1. 右键桌面,选择新建>快捷方式

    2. 在快捷方式的路径中,根据安装的VS不同版本复制命令行
      如果使用community

      C:\Windows\System32\cmd.exe /k “C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\Common7\Tools\VsDevCmd.bat” -arch=amd64 -host_arch=amd64&& set ChocolateyInstall=c:\opt\chocolatey&& c:\opt\ros\melodic\x64\setup.bat

      如果使用Professional

      C:\Windows\System32\cmd.exe /k “C:\Program Files (x86)\Microsoft Visual Studio\2019\Professional\Common7\Tools\VsDevCmd.bat” -arch=amd64 -host_arch=amd64&& set ChocolateyInstall=c:\opt\chocolatey&& c:\opt\ros\melodic\x64\setup.bat

      如果使用Enterprise

      C:\Windows\System32\cmd.exe /k “C:\Program Files (x86)\Microsoft Visual Studio\2019\Enterprise\Common7\Tools\VsDevCmd.bat” -arch=amd64 -host_arch=amd64&& set ChocolateyInstall=c:\opt\chocolatey&& c:\opt\ros\melodic\x64\setup.bat

    • 然后将快捷方式改名为ROS
    • 设置为管理员运行模式
      • 右键快捷方式属性
      • 选择快捷方式的Tab
      • 点击高级
      • 勾选用管理员身份运行
    展开全文
  • Ros for Windows7

    2018-10-29 15:16:24
    用于Windows平台的编译后的ros,非完整版,仅搭配我的教程使用,用于搭建apollo在windows的仿真。
  • 在Windows开发ROS

    2020-10-17 19:47:06
    参考下面的链接在Windows上安装ROS开发环境 http://wiki.ros.org/Installation/Windows 基本过程是 安装chocolatey 使用chocolatey下载git 使用chocolatey下载ros安装包 使用小乌龟测试安装结果 我们可以使用ROS...

    安装ROS

    参考下面的链接在Windows上安装ROS开发环境
    http://wiki.ros.org/Installation/Windows

    基本过程是

    1. 安装chocolatey
    2. 使用chocolatey下载git
    3. 使用chocolatey下载ros安装包

    使用小乌龟测试安装结果

    我们可以使用ROS自带的turtlesim来测试ROS是否已经安装成功了

    基本过程是:

    1. 使用roscore命令来启动master
    2. 启动turtlesim 界面节点来订阅turtlesim控制器消息
    3. 启动turtlesim键盘控制器节点
    4. 通过rqt_graph命令来查看节点关系图

    启动master节点

    命令行中输入
    roscore
    使用roscore来启动master节点

    启动小乌龟界面节点

    在命令行中输入
    rosrun turtlesim turtlesim_node
    启动turtlesim节点
    现在可以看到小乌龟了

    启动小乌龟键盘控制节点

    在命令行输入
    rosrun turtlesim turtle_teleop_key
    启动键盘控制节点

    查看节点关系

    在命令行输入
    rqt_graph
    turtlesim的节点关系

    使用Visual Studio创建第一个ROS程序

    参考下面的文章来完成创建第一个ros程序
    https://github.com/Brabalawuka/RosOnWindows

    使用VS打开ROS workspace

    一定要使用下面的步骤来启动visual studio打开ROS workspace,否则你可能会看到cmake错误

    1. 进入workspace
    2. 输入devel\setup
    3. 输入devenv来启动visualstudio
      如下图所示:
      使用vs打开workspace的步骤
      vs 文件夹状态
      打开文件夹后cmake会有这些输出
    展开全文
  • ROS on Windows10 上的安装

    千次阅读 2019-11-17 23:17:16
    ROS on Windows10 上的安装 ROS,如今的melodic版可以装win10上运行。 大格局,接地气,不再那么的高冷,使用ros的门槛又少了一道,同学们也不必再为系统而烦恼、揪心、抓狂了。 又会有更多的有志者,可以尽情地...

    ROS on Windows10 上的安装

    ROS,如今的melodic版可以装在win10上运行。
    大格局,接地气,不再那么的高冷,使用ros的门槛又少了一道,同学们也不必再为系统而烦恼、揪心、抓狂了。
    又会有更多的有志者,可以尽情地徜徉在研究机器人的海洋中了。
    借此,草根的我向全世界辛勤的程序猿致敬!

    闲言少叙,来看官方
    ROS on Windows installation
    http://wiki.ros.org/Installation/Windows

    我的实验总结

    安装Visual Studio 2019 
    https://docs.microsoft.com/en-us/cpp/build/vscpp-step-0-installation?view=vs-2019
    如果系统是win10的话选择一个合适的版本下载,我这里是vs_community__1671828722.1554450783.exe
    就是Microsoft Visual Studio Installer, 安装之。

    如果已经有过安装,重新安装又没有反应或闪退的话。卸载之。
    如果卸载不掉的话。找到安装目录,删之。
    如C:\Program Files (x86)\Microsoft Visual Studio\Installer
    保险起见,可以改个名字。
    Visual Studio 2019 安装c++ 的ide成功后,其他按部就班的照官方步骤走。


    我第一次实验安装赶上吃饭时间,结果计算机中途睡眠,没有完全装完,导致运行roscore出错。
    这样可不行啊,重复命令,提示成功,但运行roscore还是出错。
    错误信息
    [rosout-1] process has died [pid xxxx, exit code -1073741515, 。。。
    搜索到相关
    https://github.com/ms-iot/ROSOnWindows/issues/77

    大概说就是没有安装好。好吧,重新安装从头开始,

    chocolatey的卸载
    https://chocolatey.org/docs/uninstallation
    Most of Chocolatey is contained in C:\ProgramData\chocolatey or whatever $env:ChocolateyInstall evaluates to. You can simply delete that folder.

    一般是这个路径C:\ProgramData\chocolatey看看环境变量ChocolateyInstall的值。可以删除这个文件夹,不过保险起见给这个目录改个名好了。


    这回盯着,不能再让电脑睡觉了。
    不过最后还是有个错误,说没找到vs2015或 2017,是啊,当然你找不到,我装的是2019嘛。
    如图


    不过运行roscore,正常。

    打开小乌龟,键盘控制 ,gazebo rviz rqt_graph。。均正常。
    如图,以往只能在ubuntu的场景如今在windows上能再现了。

    命令行安装步骤

    
    **********************************************************************
    ** Visual Studio 2019 Developer Command Prompt vError: Unknown error
    ** Copyright (c) 2019 Microsoft Corporation
    **********************************************************************
    [vcvarsall.bat] Environment initialized for: 'x64'
    
    E:\Program Files (x86)\Microsoft Visual Studio\2019\Community>@"%SystemRoot%\System32\WindowsPowerShell\v1.0\powershell.exe" -NoProfile -InputFormat None -ExecutionPolicy Bypass -Command "iex ((New-Object System.Net.WebClient).DownloadString('https://chocolatey.org/install.ps1'))" && SET "PATH=%PATH%;%ALLUSERSPROFILE%\chocolatey\bin"
    Getting latest version of the Chocolatey package for download.
    Getting Chocolatey from https://chocolatey.org/api/v2/package/chocolatey/0.10.15.
    Extracting C:\Users\ADMINI~1\AppData\Local\Temp\chocolatey\chocInstall\chocolatey.zip to C:\Users\ADMINI~1\AppData\Local\Temp\chocolatey\chocInstall...
    Installing chocolatey on this machine
    Creating ChocolateyInstall as an environment variable (targeting 'Machine')
      Setting ChocolateyInstall to 'C:\ProgramData\chocolatey'
    WARNING: It's very likely you will need to close and reopen your shell
      before you can use choco.
    Restricting write permissions to Administrators
    We are setting up the Chocolatey package repository.
    The packages themselves go to 'C:\ProgramData\chocolatey\lib'
      (i.e. C:\ProgramData\chocolatey\lib\yourPackageName).
    A shim file for the command line goes to 'C:\ProgramData\chocolatey\bin'
      and points to an executable in 'C:\ProgramData\chocolatey\lib\yourPackageName'.
    
    Creating Chocolatey folders if they do not already exist.
    
    WARNING: You can safely ignore errors related to missing log files when
      upgrading from a version of Chocolatey less than 0.9.9.
      'Batch file could not be found' is also safe to ignore.
      'The system cannot find the file specified' - also safe.
    警告: Not setting tab completion: Profile file does not exist at
    'C:\Users\Administrator\Documents\WindowsPowerShell\Microsoft.PowerShell_profile.ps1'.
    Chocolatey (choco.exe) is now ready.
    You can call choco from anywhere, command line or powershell by typing choco.
    Run choco /? for a list of functions.
    You may need to shut down and restart powershell and/or consoles
     first prior to using choco.
    Ensuring chocolatey commands are on the path
    Ensuring chocolatey.nupkg is in the lib folder
    
    E:\Program Files (x86)\Microsoft Visual Studio\2019\Community>choco list
    Chocolatey v0.10.15
    
    E:\Program Files (x86)\Microsoft Visual Studio\2019\Community>choco upgrade git -y
    Chocolatey v0.10.15
    Upgrading the following packages:
    git
    By upgrading you accept licenses for the packages.
    git is not installed. Installing...
    Progress: Downloading chocolatey-core.extension 1.3.5... 100%
    Progress: Downloading chocolatey-core.extension 1.3.5... 100%
    Progress: Downloading git 2.24.0... 100%
    Progress: Downloading git 2.24.0... 100%
    
    chocolatey-core.extension v1.3.5 [Approved]
    chocolatey-core.extension package files upgrade completed. Performing other installation steps.
     Installed/updated chocolatey-core extensions.
     The upgrade of chocolatey-core.extension was successful.
      Software installed to 'C:\ProgramData\chocolatey\extensions\chocolatey-core'
    
    git.install v2.24.0 [Approved]
    git.install package files upgrade completed. Performing other installation steps.
    Using Git LFS
    Installing 64-bit git.install...
    git.install has been installed.
    git.install installed to 'C:\Program Files\Git'
      git.install can be automatically uninstalled.
     The upgrade of git.install was successful.
      Software installed to 'C:\Program Files\Git\'
    
    git v2.24.0 [Approved]
    git package files upgrade completed. Performing other installation steps.
     The upgrade of git was successful.
      Software install location not explicitly set, could be in package or
      default install location if installer.
    
    Chocolatey upgraded 3/3 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    
    E:\Program Files (x86)\Microsoft Visual Studio\2019\Community>git --version
    git version 2.24.0.windows.1
    
    E:\Program Files (x86)\Microsoft Visual Studio\2019\Community>choco source add -n=ros-win -s="https://roswin.azurewebsites.net/api/v2" --priority=1
    Chocolatey v0.10.15
    Added ros-win - https://roswin.azurewebsites.net/api/v2 (Priority 1)
    
    E:\Program Files (x86)\Microsoft Visual Studio\2019\Community>choco upgrade ros-melodic-desktop_full -y --execution-timeout=0
    Chocolatey v0.10.15
    Upgrading the following packages:
    ros-melodic-desktop_full
    By upgrading you accept licenses for the packages.
    ros-melodic-desktop_full is not installed. Installing...
    Progress: Downloading ros-melodic-desktop_full 20190729.1... 100%
    Progress: Downloading ros-melodic-desktop_full 20190729.1... 100%
    
    ros-python2 v2.7.15.1904300710
    ros-python2 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\ros-python2\tools\python27amd64.zip to C:\opt\...
    C:\opt\
     The upgrade of ros-python2 was successful.
      Software installed to 'C:\opt\'
    
    chocolatey-windowsupdate.extension v1.0.4 [Approved]
    chocolatey-windowsupdate.extension package files upgrade completed. Performing other installation steps.
     Installed/updated chocolatey-windowsupdate extensions.
     The upgrade of chocolatey-windowsupdate.extension was successful.
      Software installed to 'C:\ProgramData\chocolatey\extensions\chocolatey-windowsupdate'
    
    KB3035131 v1.0.3 [Approved]
    kb3035131 package files upgrade completed. Performing other installation steps.
    Skipping installation because update KB3035131 does not apply to this operating system (Microsoft Windows 10 专业版).
     The upgrade of kb3035131 was successful.
      Software install location not explicitly set, could be in package or
      default install location if installer.
    
    KB3033929 v1.0.5 [Approved]
    kb3033929 package files upgrade completed. Performing other installation steps.
    Skipping installation because update KB3033929 does not apply to this operating system (Microsoft Windows 10 专业版).
     The upgrade of kb3033929 was successful.
      Software install location not explicitly set, could be in package or
      default install location if installer.
    
    KB2919442 v1.0.20160915 [Approved]
    kb2919442 package files upgrade completed. Performing other installation steps.
    Skipping installation because this hotfix only applies to Windows 8.1 and Windows Server 2012 R2.
     The upgrade of kb2919442 was successful.
      Software install location not explicitly set, could be in package or
      default install location if installer.
    
    KB2919355 v1.0.20160915 [Approved]
    kb2919355 package files upgrade completed. Performing other installation steps.
    Skipping installation because this hotfix only applies to Windows 8.1 and Windows Server 2012 R2.
     The upgrade of kb2919355 was successful.
      Software install location not explicitly set, could be in package or
      default install location if installer.
    
    KB2999226 v1.0.20181019 [Approved]
    kb2999226 package files upgrade completed. Performing other installation steps.
    Skipping installation because update KB2999226 does not apply to this operating system (Microsoft Windows 10 专业版).
     The upgrade of kb2999226 was successful.
      Software install location not explicitly set, could be in package or
      default install location if installer.
    
    vcredist140 v14.23.27820 [Approved]
    vcredist140 package files upgrade completed. Performing other installation steps.
    Runtime for architecture x86 version 14.23.27820 is already installed.
    Runtime for architecture x64 version 14.23.27820 is already installed.
     The upgrade of vcredist140 was successful.
      Software install location not explicitly set, could be in package or
      default install location if installer.
    
    ros-catkin-tools v0.0.1.1903221831
    ros-catkin-tools package files upgrade completed. Performing other installation steps.
    Downloading ROS for Windows patch requirements file...
    Check and upgrade pip if needed...
    Collecting pip==18.1
      Downloading https://files.pythonhosted.org/packages/c2/d7/90f34cb0d83a6c5631cf71dfe64cc1054598c843a92b400e55675cc2ac37/pip-18.1-py2.py3-none-any.whl (1.3MB)
    Collecting setuptools
      Downloading https://files.pythonhosted.org/packages/d9/de/554b6310ac87c5b921bc45634b07b11394fe63bc4cb5176f5240addf18ab/setuptools-41.6.0-py2.py3-none-any.whl (582kB)
    Installing collected packages: pip, setuptools
      Found existing installation: pip 9.0.3
        Uninstalling pip-9.0.3:
          Successfully uninstalled pip-9.0.3
      Found existing installation: setuptools 39.0.1
        Uninstalling setuptools-39.0.1:
          Successfully uninstalled setuptools-39.0.1
    Successfully installed pip-18.1 setuptools-41.6.0
    Install released ROS catkin tools...
    Collecting rosdep (from -r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 1))
      Downloading https://files.pythonhosted.org/packages/e5/7a/f5485d580d0a616e61befd08c2dc7296cd36fb5aa3350e92f40a341c9c2a/rosdep-0.17.1.tar.gz (88kB)
    Collecting rosinstall_generator (from -r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 2))
      Downloading https://files.pythonhosted.org/packages/0a/67/b5e54706a6dcc9972f802d49fde839efd89ef2e282486cb656c7d249a00c/rosinstall_generator-0.1.18.tar.gz
    Collecting wstool (from -r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 3))
      Downloading https://files.pythonhosted.org/packages/66/7b/a3e4195605644e54658101acc13593703bde9fb67731e4565ac225a5bdb5/wstool-0.1.17.tar.gz (53kB)
    Collecting rosinstall (from -r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 4))
      Downloading https://files.pythonhosted.org/packages/38/c5/2c466034d05ad84ca15179d1f496958c6caad9432928bf7436711cc3e64e/rosinstall-0.7.8.tar.gz
    Collecting catkin_pkg>=0.4.0 (from rosdep->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 1))
      Downloading https://files.pythonhosted.org/packages/e8/ac/333f27fe3346c0e9cdc5df7fdb1df56d1b8db2ed994ca8a086e0c180485e/catkin_pkg-0.4.14.tar.gz (60kB)
    Collecting rospkg>=1.1.10 (from rosdep->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 1))
      Downloading https://files.pythonhosted.org/packages/15/4e/ab22127ba3564220d1008e03fe06865b51354761276b3dfe2fb9b219cd1d/rospkg-1.1.10.tar.gz (41kB)
    Collecting rosdistro>=0.7.5 (from rosdep->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 1))
      Downloading https://files.pythonhosted.org/packages/84/34/ab8d4908cea3d9fdf95cf298ab278421122b5a8303a09b22c9f19eb20e27/rosdistro-0.7.5.tar.gz (46kB)
    Collecting PyYAML>=3.1 (from rosdep->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 1))
      Downloading https://files.pythonhosted.org/packages/da/7e/b82dad5d7343eb3d53cf84aaefb53515a659c55b1cb7c328287256c1c156/PyYAML-5.1.2-cp27-cp27m-win_amd64.whl (210kB)
    Requirement already satisfied, skipping upgrade: setuptools in c:\opt\python27amd64\lib\site-packages (from rosinstall_generator->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 2)) (41.6.0)
    Collecting vcstools>=0.1.38 (from wstool->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 3))
      Downloading https://files.pythonhosted.org/packages/82/12/6d303e4a882093f16b52538d294596b1683823b62a7dc47c86ce273fae93/vcstools-0.1.42.tar.gz (54kB)
    Collecting docutils (from catkin_pkg>=0.4.0->rosdep->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 1))
      Downloading https://files.pythonhosted.org/packages/3a/dc/bf2b15d1fa15a6f7a9e77a61b74ecbbae7258558fcda8ffc9a6638a6b327/docutils-0.15.2-py2-none-any.whl (548kB)
    Collecting python-dateutil (from catkin_pkg>=0.4.0->rosdep->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 1))
      Downloading https://files.pythonhosted.org/packages/d4/70/d60450c3dd48ef87586924207ae8907090de0b306af2bce5d134d78615cb/python_dateutil-2.8.1-py2.py3-none-any.whl (227kB)
    Collecting pyparsing (from catkin_pkg>=0.4.0->rosdep->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 1))
      Downloading https://files.pythonhosted.org/packages/c0/0c/fc2e007d9a992d997f04a80125b0f183da7fb554f1de701bbb70a8e7d479/pyparsing-2.4.5-py2.py3-none-any.whl (67kB)
    Collecting six>=1.5 (from python-dateutil->catkin_pkg>=0.4.0->rosdep->-r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements.txt (line 1))
      Downloading https://files.pythonhosted.org/packages/65/26/32b8464df2a97e6dd1b656ed26b2c194606c16fe163c695a992b36c11cdf/six-1.13.0-py2.py3-none-any.whl
    Installing collected packages: docutils, six, python-dateutil, pyparsing, catkin-pkg, PyYAML, rospkg, rosdistro, rosdep, rosinstall-generator, vcstools, wstool, rosinstall
      Running setup.py install for catkin-pkg: started
        Running setup.py install for catkin-pkg: finished with status 'done'
      Running setup.py install for rospkg: started
        Running setup.py install for rospkg: finished with status 'done'
      Running setup.py install for rosdistro: started
        Running setup.py install for rosdistro: finished with status 'done'
      Running setup.py install for rosdep: started
        Running setup.py install for rosdep: finished with status 'done'
      Running setup.py install for rosinstall-generator: started
        Running setup.py install for rosinstall-generator: finished with status 'done'
      Running setup.py install for vcstools: started
        Running setup.py install for vcstools: finished with status 'done'
      Running setup.py install for wstool: started
        Running setup.py install for wstool: finished with status 'done'
      Running setup.py install for rosinstall: started
        Running setup.py install for rosinstall: finished with status 'done'
    Successfully installed PyYAML-5.1.2 catkin-pkg-0.4.14 docutils-0.15.2 pyparsing-2.4.5 python-dateutil-2.8.1 rosdep-0.17.1 rosdistro-0.7.5 rosinstall-0.7.8 rosinstall-generator-0.1.18 rospkg-1.1.10 six-1.13.0 vcstools-0.1.42 wstool-0.1.17
    Patch with ROS for Windows catkin tools...
    Collecting rosdep from git+https://github.com/ms-iot/rosdep@init_windows#egg=rosdep (from -r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements-patch.txt (line 1))
      Cloning https://github.com/ms-iot/rosdep (to revision init_windows) to c:\users\administrator\appdata\local\temp\chocolatey\pip-install-xsr19y\rosdep
    Branch 'init_windows' set up to track remote branch 'init_windows' from 'origin'.
    Switched to a new branch 'init_windows'
    Collecting vcstools from git+https://github.com/ms-iot/vcstools@init_windows#egg=vcstools (from -r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements-patch.txt (line 2))
      Cloning https://github.com/ms-iot/vcstools (to revision init_windows) to c:\users\administrator\appdata\local\temp\chocolatey\pip-install-xsr19y\vcstools
    Branch 'init_windows' set up to track remote branch 'init_windows' from 'origin'.
    Switched to a new branch 'init_windows'
    Collecting wstool from git+https://github.com/ms-iot/wstool@init_windows#egg=wstool (from -r C:\ProgramData\chocolatey\lib\ros-catkin-tools\tools\requirements-patch.txt (line 3))
      Cloning https://github.com/ms-iot/wstool (to revision init_windows) to c:\users\administrator\appdata\local\temp\chocolatey\pip-install-xsr19y\wstool
    Branch 'init_windows' set up to track remote branch 'init_windows' from 'origin'.
    Switched to a new branch 'init_windows'
    Installing collected packages: rosdep, vcstools, wstool
      Found existing installation: rosdep 0.17.1
        Uninstalling rosdep-0.17.1:
          Successfully uninstalled rosdep-0.17.1
      Running setup.py install for rosdep: started
        Running setup.py install for rosdep: finished with status 'done'
      Found existing installation: vcstools 0.1.42
        Uninstalling vcstools-0.1.42:
          Successfully uninstalled vcstools-0.1.42
      Running setup.py install for vcstools: started
        Running setup.py install for vcstools: finished with status 'done'
      Found existing installation: wstool 0.1.17
        Uninstalling wstool-0.1.17:
          Successfully uninstalled wstool-0.1.17
      Running setup.py install for wstool: started
        Running setup.py install for wstool: finished with status 'done'
    Successfully installed rosdep-0.15.2 vcstools-0.1.40 wstool-0.1.17
     The upgrade of ros-catkin-tools was successful.
      Software install location not explicitly set, could be in package or
      default install location if installer.
    
    ros-melodic-desktop_full v20190729.1
    ros-melodic-desktop_full package files upgrade completed. Performing other installation steps.
    Extracting 64-bit C:\ProgramData\chocolatey\lib\ros-melodic-desktop_full\tools\drop.zip to c:\opt\ros...
    c:\opt\ros
    running rosdep...
    ERROR: default sources list file already exists:
            c:\opt\ros\melodic\x64\etc\ros\rosdep\sources.list.d\20-default.list
    Please delete if you wish to re-initialize
    reading in sources list data from c:\opt\ros\melodic\x64\etc\ros\rosdep\sources.list.d
    Hit https://raw.githubusercontent.com/ms-iot/rosdistro-db/init_windows/rosdep/win-chocolatey.yaml
    Hit https://raw.githubusercontent.com/ms-iot/rosdistro-db/init_windows/rosdep/vcpkg.yaml
    Hit https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/osx-homebrew.yaml
    Hit https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/base.yaml
    Hit https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/python.yaml
    Hit https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/ruby.yaml
    Hit https://raw.githubusercontent.com/ros/rosdistro/master/releases/fuerte.yaml
    Query rosdistro index https://raw.githubusercontent.com/ros/rosdistro/master/index-v4.yaml
    Skip end-of-life distro "ardent"
    Skip end-of-life distro "bouncy"
    Add distro "crystal"
    Add distro "dashing"
    Add distro "eloquent"
    Skip end-of-life distro "groovy"
    Skip end-of-life distro "hydro"
    Skip end-of-life distro "indigo"
    Skip end-of-life distro "jade"
    Add distro "kinetic"
    Skip end-of-life distro "lunar"
    Add distro "melodic"
    Add distro "noetic"
    updated cache in C:\Users\Administrator\.ros\rosdep\sources.cache
    ERROR: the following packages/stacks could not have their rosdep keys resolved
    to system dependencies:
    simulators: No definition of [stage_ros] for OS [windows]
    joystick_drivers: No definition of [wiimote] for OS [windows]
    navfn: No definition of [netpbm] for OS [windows]
    diagnostic_common_diagnostics: No definition of [hddtemp] for OS [windows]
    qt_gui: No definition of [tango-icon-theme] for OS [windows]
    Continuing to install resolvable dependencies...
    executing command [choco upgrade -y libflann]
    Chocolatey v0.10.15
    Upgrading the following packages:
    libflann
    By upgrading you accept licenses for the packages.
    libflann is not installed. Installing...
    Progress: Downloading libflann 1.9.1.1809090720... 100%
    Progress: Downloading libflann 1.9.1.1809090720... 100%
    
    libflann v1.9.1.1809090720
    libflann package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libflann\tools\libflann.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libflann was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [pip install -U matplotlib]
    Collecting matplotlib
      Using cached https://files.pythonhosted.org/packages/21/93/759d9f5a6c4b5c1fb489bb57200fc2f553c524642bc2756ae2528dbed6b5/matplotlib-2.2.4-cp27-cp27m-win_amd64.whl
    Requirement already satisfied, skipping upgrade: python-dateutil>=2.1 in c:\opt\python27amd64\lib\site-packages (from matplotlib) (2.8.1)
    Requirement already satisfied, skipping upgrade: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 in c:\opt\python27amd64\lib\site-packages (from matplotlib) (2.4.5)
    Collecting numpy>=1.7.1 (from matplotlib)
      Using cached https://files.pythonhosted.org/packages/48/83/203c397ecec78bdd618a0fb04a47482cfa2ae5ea2c6d428ed94258fe8671/numpy-1.16.5-cp27-cp27m-win_amd64.whl
    Collecting pytz (from matplotlib)
      Using cached https://files.pythonhosted.org/packages/e7/f9/f0b53f88060247251bf481fa6ea62cd0d25bf1b11a87888e53ce5b7c8ad2/pytz-2019.3-py2.py3-none-any.whl
    Collecting backports.functools-lru-cache (from matplotlib)
      Using cached https://files.pythonhosted.org/packages/da/d1/080d2bb13773803648281a49e3918f65b31b7beebf009887a529357fd44a/backports.functools_lru_cache-1.6.1-py2.py3-none-any.whl
    Requirement already satisfied, skipping upgrade: six>=1.10 in c:\opt\python27amd64\lib\site-packages (from matplotlib) (1.13.0)
    Collecting cycler>=0.10 (from matplotlib)
      Using cached https://files.pythonhosted.org/packages/f7/d2/e07d3ebb2bd7af696440ce7e754c59dd546ffe1bbe732c8ab68b9c834e61/cycler-0.10.0-py2.py3-none-any.whl
    Collecting kiwisolver>=1.0.1 (from matplotlib)
      Using cached https://files.pythonhosted.org/packages/4e/02/9c79d58f2e9f61d201f8390b5f51fdb0c19e777a241818b784f2a38ee013/kiwisolver-1.1.0-cp27-none-win_amd64.whl
    Requirement already satisfied, skipping upgrade: setuptools in c:\opt\python27amd64\lib\site-packages (from kiwisolver>=1.0.1->matplotlib) (41.6.0)
    Installing collected packages: numpy, pytz, backports.functools-lru-cache, cycler, kiwisolver, matplotlib
    Successfully installed backports.functools-lru-cache-1.6.1 cycler-0.10.0 kiwisolver-1.1.0 matplotlib-2.2.4 numpy-1.16.5 pytz-2019.3
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y sip]
    Chocolatey v0.10.15
    Upgrading the following packages:
    sip
    By upgrading you accept licenses for the packages.
    sip is not installed. Installing...
    Progress: Downloading sip 4.19.8.1809242322... 100%
    Progress: Downloading sip 4.19.8.1809242322... 100%
    
    sip v4.19.8.1809242322
    sip package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\sip\tools\sip.zip to C:\opt\python27amd64...
    C:\opt\python27amd64
     The upgrade of sip was successful.
      Software installed to 'C:\opt\python27amd64'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    
    Enjoy using Chocolatey? Explore more amazing features to take your
    experience to the next level at
     https://chocolatey.org/compare
    executing command [choco upgrade -y eigen]
    Chocolatey v0.10.15
    Upgrading the following packages:
    eigen
    By upgrading you accept licenses for the packages.
    eigen is not installed. Installing...
    Progress: Downloading eigen 3.3.4.1809242322... 100%
    Progress: Downloading eigen 3.3.4.1809242322... 100%
    
    eigen v3.3.4.1809242322
    eigen package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\eigen\tools\eigen.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of eigen was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y qt5-sdk]
    Chocolatey v0.10.15
    Upgrading the following packages:
    qt5-sdk
    By upgrading you accept licenses for the packages.
    qt5-sdk is not installed. Installing...
    Progress: Downloading qt5-sdk 5.10.1.1903182340... 100%
    Progress: Downloading qt5-sdk 5.10.1.1903182340... 100%
    
    qt5-sdk v5.10.1.1903182340
    qt5-sdk package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\qt5-sdk\tools\qt5-sdk-5.10.1-msvc2017-64.zip to C:\opt\rosdeps\x64...
    C:\opt\rosdeps\x64
     The upgrade of qt5-sdk was successful.
      Software installed to 'C:\opt\rosdeps\x64'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y tinyxml2]
    Chocolatey v0.10.15
    Upgrading the following packages:
    tinyxml2
    By upgrading you accept licenses for the packages.
    tinyxml2 is not installed. Installing...
    Progress: Downloading tinyxml2 6.1.0.1809242322... 100%
    Progress: Downloading tinyxml2 6.1.0.1809242322... 100%
    
    tinyxml2 v6.1.0.1809242322
    tinyxml2 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\tinyxml2\tools\tinyxml2.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of tinyxml2 was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    
    Enjoy using Chocolatey? Explore more amazing features to take your
    experience to the next level at
     https://chocolatey.org/compare
    executing command [choco upgrade -y lz4]
    Chocolatey v0.10.15
    Upgrading the following packages:
    lz4
    By upgrading you accept licenses for the packages.
    lz4 is not installed. Installing...
    Progress: Downloading lz4 1.8.1.1809242322... 100%
    Progress: Downloading lz4 1.8.1.1809242322... 100%
    
    lz4 v1.8.1.1809242322
    lz4 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\lz4\tools\lz4.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of lz4 was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y sbcl]
    Chocolatey v0.10.15
    Upgrading the following packages:
    sbcl
    By upgrading you accept licenses for the packages.
    sbcl is not installed. Installing...
    Progress: Downloading sbcl 0.0.0.1809242326... 100%
    Progress: Downloading sbcl 0.0.0.1809242326... 100%
    
    sbcl v0.0.0.1809242326
    sbcl package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\sbcl\tools\sbcl.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of sbcl was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y libgraphviz]
    Chocolatey v0.10.15
    Upgrading the following packages:
    libgraphviz
    By upgrading you accept licenses for the packages.
    libgraphviz is not installed. Installing...
    Progress: Downloading libgraphviz 2.41.0.1810022039... 100%
    Progress: Downloading libgraphviz 2.41.0.1810022039... 100%
    
    libgraphviz v2.41.0.1810022039
    libgraphviz package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libgraphviz\tools\libgraphviz.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libgraphviz was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y gazebo9]
    Chocolatey v0.10.15
    Upgrading the following packages:
    gazebo9
    By upgrading you accept licenses for the packages.
    gazebo9 is not installed. Installing...
    Progress: Downloading gazebo9 9.4.1.1909060324... 100%
    Progress: Downloading gazebo9 9.4.1.1909060324... 100%
    Progress: Downloading libjpeg-turbo 1.5.3.1809242322... 100%
    Progress: Downloading libjpeg-turbo 1.5.3.1809242322... 100%
    
    libpng v1.6.35.1809242322
    libpng package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libpng\tools\libpng.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libpng was successful.
      Software installed to 'C:\opt\rosdeps'
    
    tiff v4.0.9.1811210742
    tiff package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\tiff\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of tiff was successful.
      Software installed to 'C:\opt\rosdeps'
    
    zlib v1.2.11.1809242322
    zlib package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\zlib\tools\zlib.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of zlib was successful.
      Software installed to 'C:\opt\rosdeps'
    
    jxrlib v1.1.0.1811210809
    jxrlib package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\jxrlib\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of jxrlib was successful.
      Software installed to 'C:\opt\rosdeps'
    
    jasper v2.0.14.1811210919
    jasper package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\jasper\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of jasper was successful.
      Software installed to 'C:\opt\rosdeps'
    
    ilmbase v2.2.1.1811210800
    ilmbase package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\ilmbase\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of ilmbase was successful.
      Software installed to 'C:\opt\rosdeps'
    
    liblzma v5.2.4.1811210837
    liblzma package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\liblzma\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of liblzma was successful.
      Software installed to 'C:\opt\rosdeps'
    
    libraw v0.19.0.1811210804
    libraw package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libraw\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libraw was successful.
      Software installed to 'C:\opt\rosdeps'
    
    libwebp v0.6.1.1811210731
    libwebp package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libwebp\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libwebp was successful.
      Software installed to 'C:\opt\rosdeps'
    
    openexr v2.2.1.1811210832
    openexr package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\openexr\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of openexr was successful.
      Software installed to 'C:\opt\rosdeps'
    
    openjpeg v2.3.0.1811210736
    openjpeg package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\openjpeg\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of openjpeg was successful.
      Software installed to 'C:\opt\rosdeps'
    
    libjpeg-turbo v1.5.3.1809242322
    libjpeg-turbo package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libjpeg-turbo\tools\libjpeg-turbo.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libjpeg-turbo was successful.
      Software installed to 'C:\opt\rosdeps'
    
    lcms v2.8.0.1811210903
    lcms package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\lcms\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of lcms was successful.
      Software installed to 'C:\opt\rosdeps'
    
    hg v5.2 [Approved]
    hg package files upgrade completed. Performing other installation steps.
    Downloading hg 64 bit
      from 'https://www.mercurial-scm.org/release/windows/Mercurial-5.2-x64.exe'
    Progress: 100% - Completed download of C:\Users\Administrator\AppData\Local\Temp\chocolatey\hg\5.2\Mercurial-5.2-x64.exe (10.6 MB).
    Download of Mercurial-5.2-x64.exe (10.6 MB) completed.
    Hashes match.
    Installing hg...
    hg has been installed.
    PATH environment variable does not have C:\Program Files\Mercurial\ in it. Adding...
      hg can be automatically uninstalled.
    Environment Vars (like PATH) have changed. Close/reopen your shell to
     see the changes (or in powershell/cmd.exe just type `refreshenv`).
     The upgrade of hg was successful.
      Software installed to 'C:\Program Files\Mercurial\'
    
    boost v1.66.0.1904102339
    boost package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\boost\tools\boost.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of boost was successful.
      Software installed to 'C:\opt\rosdeps'
    
    pkg-config v0.29.2.1809242322
    pkg-config package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\pkg-config\tools\pkg-config.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of pkg-config was successful.
      Software installed to 'C:\opt\rosdeps'
    
    freeimage v3.17.0.1811160037
    freeimage package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\freeimage\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of freeimage was successful.
      Software installed to 'C:\opt\rosdeps'
    
    protobuf v3.6.1.1811130545
    protobuf package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\protobuf\tools\protobuf.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of protobuf was successful.
      Software installed to 'C:\opt\rosdeps'
    
    dlfcn-win32 v1.1.1.1811162226
    dlfcn-win32 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\dlfcn-win32\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of dlfcn-win32 was successful.
      Software installed to 'C:\opt\rosdeps'
    
    libcurl v7.58.0.1809242322
    libcurl package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libcurl\tools\curl.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libcurl was successful.
      Software installed to 'C:\opt\rosdeps'
    
    ogre v1.10.11.1901312214
    ogre package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\ogre\tools\ogre.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of ogre was successful.
      Software installed to 'C:\opt\rosdeps'
    
    zeromq v4.2.5.1811162203
    zeromq package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\zeromq\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of zeromq was successful.
      Software installed to 'C:\opt\rosdeps'
    
    cppzmq v4.2.2.1811162207
    cppzmq package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\cppzmq\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of cppzmq was successful.
      Software installed to 'C:\opt\rosdeps'
    
    libtbb-dev v2018.6.0.1812011750
    libtbb-dev package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libtbb-dev\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libtbb-dev was successful.
      Software installed to 'C:\opt\rosdeps'
    
    qwt v6.1.3.1811212304
    qwt package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\qwt\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of qwt was successful.
      Software installed to 'C:\opt\rosdeps'
    
    gazebo9 v9.4.1.1909060324
    gazebo9 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\gazebo9\tools\x64.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of gazebo9 was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 26/26 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    
    Upgraded:
     - hg v5.2
     - lcms v2.8.0.1811210903
     - libwebp v0.6.1.1811210731
     - liblzma v5.2.4.1811210837
     - cppzmq v4.2.2.1811162207
     - ogre v1.10.11.1901312214
     - libcurl v7.58.0.1809242322
     - zlib v1.2.11.1809242322
     - ilmbase v2.2.1.1811210800
     - gazebo9 v9.4.1.1909060324
     - boost v1.66.0.1904102339
     - libpng v1.6.35.1809242322
     - freeimage v3.17.0.1811160037
     - openexr v2.2.1.1811210832
     - jasper v2.0.14.1811210919
     - libjpeg-turbo v1.5.3.1809242322
     - pkg-config v0.29.2.1809242322
     - openjpeg v2.3.0.1811210736
     - tiff v4.0.9.1811210742
     - qwt v6.1.3.1811212304
     - dlfcn-win32 v1.1.1.1811162226
     - zeromq v4.2.5.1811162203
     - libraw v0.19.0.1811210804
     - libtbb-dev v2018.6.0.1812011750
     - protobuf v3.6.1.1811130545
     - jxrlib v1.1.0.1811210809
    executing command [pip install -U nose]
    Collecting nose
      Using cached https://files.pythonhosted.org/packages/99/4f/13fb671119e65c4dce97c60e67d3fd9e6f7f809f2b307e2611f4701205cb/nose-1.3.7-py2-none-any.whl
    Installing collected packages: nose
    Successfully installed nose-1.3.7
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U pillow]
    Collecting pillow
      Using cached https://files.pythonhosted.org/packages/40/3f/db380908cc908db30e3defd09a73b27de5e9da45e09b090ccb0ab251826c/Pillow-6.2.1-cp27-cp27m-win_amd64.whl
    Installing collected packages: pillow
    Successfully installed pillow-6.2.1
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y libpcl]
    Chocolatey v0.10.15
    Upgrading the following packages:
    libpcl
    By upgrading you accept licenses for the packages.
    libpcl is not installed. Installing...
    Progress: Downloading libpcl 1.8.1.1809090720... 100%
    Progress: Downloading libpcl 1.8.1.1809090720... 100%
    
    libpcl v1.8.1.1809090720
    libpcl package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libpcl\tools\libpcl.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libpcl was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y assimp]
    Chocolatey v0.10.15
    Upgrading the following packages:
    assimp
    By upgrading you accept licenses for the packages.
    assimp is not installed. Installing...
    Progress: Downloading assimp 4.0.1.1809242322... 100%
    Progress: Downloading assimp 4.0.1.1809242322... 100%
    
    assimp v4.0.1.1809242322
    assimp package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\assimp\tools\assimp.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of assimp was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y urdfdom]
    Chocolatey v0.10.15
    Upgrading the following packages:
    urdfdom
    By upgrading you accept licenses for the packages.
    urdfdom is not installed. Installing...
    Progress: Downloading urdfdom 1.0.0.1809242322... 100%
    Progress: Downloading urdfdom 1.0.0.1809242322... 100%
    
    urdfdom v1.0.0.1809242322
    urdfdom package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\urdfdom\tools\urdfdom.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of urdfdom was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [pip install -U paramiko]
    Collecting paramiko
      Using cached https://files.pythonhosted.org/packages/4b/80/74dace9e48b0ef923633dfb5e48798f58a168e4734bca8ecfaf839ba051a/paramiko-2.6.0-py2.py3-none-any.whl
    Collecting pynacl>=1.0.1 (from paramiko)
      Using cached https://files.pythonhosted.org/packages/87/b6/dafe0c559ff240290d44ca5b015ee651dc4cbcf54325c4cd2d3df61e3693/PyNaCl-1.3.0-cp27-cp27m-win_amd64.whl
    Collecting cryptography>=2.5 (from paramiko)
      Using cached https://files.pythonhosted.org/packages/c2/9f/fdabae150b995e2ad1412d1fb80451ef5204ef068c964749ecf150b838e3/cryptography-2.8-cp27-cp27m-win_amd64.whl
    Collecting bcrypt>=3.1.3 (from paramiko)
      Using cached https://files.pythonhosted.org/packages/c8/8b/5abea82f1036ccce6bf68114767396b7877567831fddf879c3041601cf2a/bcrypt-3.1.7-cp27-cp27m-win_amd64.whl
    Requirement already satisfied, skipping upgrade: six in c:\opt\python27amd64\lib\site-packages (from pynacl>=1.0.1->paramiko) (1.13.0)
    Collecting cffi>=1.4.1 (from pynacl>=1.0.1->paramiko)
      Using cached https://files.pythonhosted.org/packages/cb/27/0daf49c18f1280a2d23537eb42424005ffe19787e1bf7fb5be117855197a/cffi-1.13.2-cp27-cp27m-win_amd64.whl
    Collecting enum34; python_version < "3" (from cryptography>=2.5->paramiko)
      Using cached https://files.pythonhosted.org/packages/c5/db/e56e6b4bbac7c4a06de1c50de6fe1ef3810018ae11732a50f15f62c7d050/enum34-1.1.6-py2-none-any.whl
    Collecting ipaddress; python_version < "3" (from cryptography>=2.5->paramiko)
      Using cached https://files.pythonhosted.org/packages/c2/f8/49697181b1651d8347d24c095ce46c7346c37335ddc7d255833e7cde674d/ipaddress-1.0.23-py2.py3-none-any.whl
    Collecting pycparser (from cffi>=1.4.1->pynacl>=1.0.1->paramiko)
      Using cached https://files.pythonhosted.org/packages/68/9e/49196946aee219aead1290e00d1e7fdeab8567783e83e1b9ab5585e6206a/pycparser-2.19.tar.gz
    Installing collected packages: pycparser, cffi, pynacl, enum34, ipaddress, cryptography, bcrypt, paramiko
      Running setup.py install for pycparser ... done
    Successfully installed bcrypt-3.1.7 cffi-1.13.2 cryptography-2.8 enum34-1.1.6 ipaddress-1.0.23 paramiko-2.6.0 pycparser-2.19 pynacl-1.3.0
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U lxml]
    Collecting lxml
      Using cached https://files.pythonhosted.org/packages/a2/bf/6cb6118b6492104723afac0f5c149877c76f03254802448cea1ea37c3781/lxml-4.4.1-cp27-cp27m-win_amd64.whl
    Installing collected packages: lxml
    Successfully installed lxml-4.4.1
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U cmake]
    Collecting cmake
      Using cached https://files.pythonhosted.org/packages/1c/bf/dcd8a6ba099518e8b55eb7165b37d555fe1dbf7c70c3eea3582d9389b98c/cmake-3.15.3-py2-none-win_amd64.whl
    Installing collected packages: cmake
    Successfully installed cmake-3.15.3
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y vcpython27]
    Chocolatey v0.10.15
    Upgrading the following packages:
    vcpython27
    By upgrading you accept licenses for the packages.
    vcpython27 is not installed. Installing...
    Progress: Downloading vcpython27 9.0.30729.1809090720... 100%
    Progress: Downloading vcpython27 9.0.30729.1809090720... 100%
    
    vcpython27 v9.0.30729.1809090720
    vcpython27 package files upgrade completed. Performing other installation steps.
    Downloading vcpython27
      from 'https://download.microsoft.com/download/7/9/6/796EF2E4-801B-4FC4-AB28-B59FBF6D907B/VCForPython27.msi'
    Progress: 100% - Completed download of C:\Users\Administrator\AppData\Local\Temp\chocolatey\vcpython27\9.0.30729.1809090720\VCForPython27.msi (83.82 MB).
    Download of VCForPython27.msi (83.82 MB) completed.
    Hashes match.
    Installing vcpython27...
    vcpython27 has been installed.
      vcpython27 may be able to be automatically uninstalled.
     The upgrade of vcpython27 was successful.
      Software installed as 'msi', install location is likely default.
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [pip install -U pycrypto]
    Collecting pycrypto
      Using cached https://files.pythonhosted.org/packages/60/db/645aa9af249f059cc3a368b118de33889219e0362141e75d4eaf6f80f163/pycrypto-2.6.1.tar.gz
    Installing collected packages: pycrypto
      Running setup.py install for pycrypto ... done
    Successfully installed pycrypto-2.6.1
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U empy]
    Collecting empy
      Using cached https://files.pythonhosted.org/packages/3b/95/88ed47cb7da88569a78b7d6fb9420298df7e99997810c844a924d96d3c08/empy-3.3.4.tar.gz
    Installing collected packages: empy
      Running setup.py install for empy ... done
    Successfully installed empy-3.3.4
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U netifaces]
    Collecting netifaces
      Using cached https://files.pythonhosted.org/packages/0d/18/fd6e9c71a35b67a73160ec80a49da63d1eed2d2055054cc2995714949132/netifaces-0.10.9.tar.gz
    Installing collected packages: netifaces
      Running setup.py install for netifaces ... done
    Successfully installed netifaces-0.10.9
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y urdfdom_headers]
    Chocolatey v0.10.15
    Upgrading the following packages:
    urdfdom_headers
    By upgrading you accept licenses for the packages.
    urdfdom_headers is not installed. Installing...
    Progress: Downloading urdfdom_headers 1.0.0.1809242322... 100%
    Progress: Downloading urdfdom_headers 1.0.0.1809242322... 100%
    
    urdfdom_headers v1.0.0.1809242322
    urdfdom_headers package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\urdfdom_headers\tools\urdfdom_headers.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of urdfdom_headers was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    
    Did you know the proceeds of Pro (and some proceeds from other
     licensed editions) go into bettering the community infrastructure?
     Your support ensures an active community, keeps Chocolatey tip top,
     plus it nets you some awesome features!
     https://chocolatey.org/compare
    executing command [choco upgrade -y google-test]
    Chocolatey v0.10.15
    Upgrading the following packages:
    google-test
    By upgrading you accept licenses for the packages.
    google-test is not installed. Installing...
    Progress: Downloading google-test 1.8.0.1809242322... 100%
    Progress: Downloading google-test 1.8.0.1809242322... 100%
    
    google-test v1.8.0.1809242322
    google-test package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\google-test\tools\google-test.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of google-test was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [pip install -U argparse]
    Collecting argparse
      Using cached https://files.pythonhosted.org/packages/f2/94/3af39d34be01a24a6e65433d19e107099374224905f1e0cc6bbe1fd22a2f/argparse-1.4.0-py2.py3-none-any.whl
    Installing collected packages: argparse
    Successfully installed argparse-1.4.0
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y yaml-cpp]
    Chocolatey v0.10.15
    Upgrading the following packages:
    yaml-cpp
    By upgrading you accept licenses for the packages.
    yaml-cpp is not installed. Installing...
    Progress: Downloading yaml-cpp 0.6.2.1901170034... 100%
    Progress: Downloading yaml-cpp 0.6.2.1901170034... 100%
    
    yaml-cpp v0.6.2.1901170034
    yaml-cpp package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\yaml-cpp\tools\yaml-cpp.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of yaml-cpp was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [pip install -U coverage]
    Collecting coverage
      Using cached https://files.pythonhosted.org/packages/27/3f/6d5b8ab4c40d7b27383df1e84a7e5129085b4ae80ddce82d755d94235e8b/coverage-4.5.4-cp27-cp27m-win_amd64.whl
    Installing collected packages: coverage
    Successfully installed coverage-4.5.4
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U pymodbus]
    Collecting pymodbus
      Using cached https://files.pythonhosted.org/packages/b5/c5/959e02645e016fe6aa16877864e7812090f7eddc08c3e5cb03603f2e3576/pymodbus-2.3.0-py2.py3-none-any.whl
    Requirement already satisfied, skipping upgrade: six>=1.11.0 in c:\opt\python27amd64\lib\site-packages (from pymodbus) (1.13.0)
    Collecting pyserial>=3.4 (from pymodbus)
      Using cached https://files.pythonhosted.org/packages/0d/e4/2a744dd9e3be04a0c0907414e2a01a7c88bb3915cbe3c8cc06e209f59c30/pyserial-3.4-py2.py3-none-any.whl
    Installing collected packages: pyserial, pymodbus
    Successfully installed pymodbus-2.3.0 pyserial-3.4
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y pyqt5]
    Chocolatey v0.10.15
    Upgrading the following packages:
    pyqt5
    By upgrading you accept licenses for the packages.
    pyqt5 is not installed. Installing...
    Progress: Downloading pyqt5 5.10.1.1809242322... 100%
    Progress: Downloading pyqt5 5.10.1.1809242322... 100%
    
    pyqt5 v5.10.1.1809242322
    pyqt5 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\pyqt5\tools\PyQt5.zip to C:\opt\python27amd64...
    C:\opt\python27amd64
     The upgrade of pyqt5 was successful.
      Software installed to 'C:\opt\python27amd64'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y pyside2]
    Chocolatey v0.10.15
    Upgrading the following packages:
    pyside2
    By upgrading you accept licenses for the packages.
    pyside2 is not installed. Installing...
    Progress: Downloading pyside2 5.10.1.1809242322... 100%
    Progress: Downloading pyside2 5.10.1.1809242322... 100%
    
    pyside2 v5.10.1.1809242322
    pyside2 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\pyside2\tools\pyside2.zip to C:\opt\python27amd64\Lib\site-packages...
    C:\opt\python27amd64\Lib\site-packages
     The upgrade of pyside2 was successful.
      Software installed to 'C:\opt\python27amd64\Lib\site-packages'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y google-mock]
    Chocolatey v0.10.15
    Upgrading the following packages:
    google-mock
    By upgrading you accept licenses for the packages.
    google-mock is not installed. Installing...
    Progress: Downloading google-mock 1.8.0.1809242326... 100%
    Progress: Downloading google-mock 1.8.0.1809242326... 100%
    
    google-mock v1.8.0.1809242326
    google-mock package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\google-mock\tools\google-mock.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of google-mock was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y log4cxx]
    Chocolatey v0.10.15
    Upgrading the following packages:
    log4cxx
    By upgrading you accept licenses for the packages.
    log4cxx is not installed. Installing...
    Progress: Downloading log4cxx 0.10.0.1809242322... 100%
    Progress: Downloading log4cxx 0.10.0.1809242322... 100%
    
    log4cxx v0.10.0.1809242322
    log4cxx package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\log4cxx\tools\log4cxx.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of log4cxx was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [pip install -U opencv-python]
    Collecting opencv-python
      Using cached https://files.pythonhosted.org/packages/d7/7e/3aa5d122bd446252bf4d1e39f1ac8a945e46d6572bf241fc503da963d92c/opencv_python-4.1.1.26-cp27-cp27m-win_amd64.whl
    Requirement already satisfied, skipping upgrade: numpy>=1.11.1 in c:\opt\python27amd64\lib\site-packages (from opencv-python) (1.16.5)
    Installing collected packages: opencv-python
    Successfully installed opencv-python-4.1.1.26
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U mock]
    Collecting mock
      Using cached https://files.pythonhosted.org/packages/05/d2/f94e68be6b17f46d2c353564da56e6fb89ef09faeeff3313a046cb810ca9/mock-3.0.5-py2.py3-none-any.whl
    Collecting funcsigs>=1; python_version < "3.3" (from mock)
      Using cached https://files.pythonhosted.org/packages/69/cb/f5be453359271714c01b9bd06126eaf2e368f1fddfff30818754b5ac2328/funcsigs-1.0.2-py2.py3-none-any.whl
    Requirement already satisfied, skipping upgrade: six in c:\opt\python27amd64\lib\site-packages (from mock) (1.13.0)
    Installing collected packages: funcsigs, mock
    Successfully installed funcsigs-1.0.2 mock-3.0.5
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U wxPython]
    Collecting wxPython
      Using cached https://files.pythonhosted.org/packages/8d/4b/39c66aa6bfbc852d0a010e1b556bc879222a8db33f52d9591d77f6554fd7/wxPython-4.0.7.post2-cp27-cp27m-win_amd64.whl
    Requirement already satisfied, skipping upgrade: six in c:\opt\python27amd64\lib\site-packages (from wxPython) (1.13.0)
    Requirement already satisfied, skipping upgrade: numpy<1.17; python_version <= "2.7" in c:\opt\python27amd64\lib\site-packages (from wxPython) (1.16.5)
    Requirement already satisfied, skipping upgrade: pillow in c:\opt\python27amd64\lib\site-packages (from wxPython) (6.2.1)
    Installing collected packages: wxPython
    Successfully installed wxPython-4.0.7.post2
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y openssl]
    Chocolatey v0.10.15
    Upgrading the following packages:
    openssl
    By upgrading you accept licenses for the packages.
    openssl is not installed. Installing...
    Progress: Downloading openssl 1.1.1.1809242322... 100%
    Progress: Downloading openssl 1.1.1.1809242322... 100%
    
    openssl v1.1.1.1809242322
    openssl package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\openssl\tools\openssl.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of openssl was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y bzip2]
    Chocolatey v0.10.15
    Upgrading the following packages:
    bzip2
    By upgrading you accept licenses for the packages.
    bzip2 is not installed. Installing...
    Progress: Downloading bzip2 1.0.6.1901242108... 100%
    Progress: Downloading bzip2 1.0.6.1901242108... 100%
    
    bzip2 v1.0.6.1901242108
    bzip2 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\bzip2\tools\bzip2.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of bzip2 was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y gtk2]
    Chocolatey v0.10.15
    Upgrading the following packages:
    gtk2
    By upgrading you accept licenses for the packages.
    gtk2 is not installed. Installing...
    Progress: Downloading gtk2 2.22.1.1904131648... 100%
    Progress: Downloading gtk2 2.22.1.1904131648... 100%
    
    gtk2 v2.22.1.1904131648
    gtk2 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\gtk2\tools\gtk2.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of gtk2 was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y libogg]
    Chocolatey v0.10.15
    Upgrading the following packages:
    libogg
    By upgrading you accept licenses for the packages.
    libogg is not installed. Installing...
    Progress: Downloading libogg 1.3.3.1809090720... 100%
    Progress: Downloading libogg 1.3.3.1809090720... 100%
    
    libogg v1.3.3.1809090720
    libogg package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libogg\tools\libogg.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libogg was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [pip install -U cairocffi]
    Collecting cairocffi
      Using cached https://files.pythonhosted.org/packages/62/be/ad4d422b6f38d99b09ad6d046ab725e8ccac5fefd9ca256ca35a80dbf3c6/cairocffi-0.9.0.tar.gz
    Requirement already satisfied, skipping upgrade: cffi>=1.1.0 in c:\opt\python27amd64\lib\site-packages (from cairocffi) (1.13.2)
    Requirement already satisfied, skipping upgrade: pycparser in c:\opt\python27amd64\lib\site-packages (from cffi>=1.1.0->cairocffi) (2.19)
    Installing collected packages: cairocffi
      Running setup.py install for cairocffi ... done
    Successfully installed cairocffi-0.9.0
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y tinyxml]
    Chocolatey v0.10.15
    Upgrading the following packages:
    tinyxml
    By upgrading you accept licenses for the packages.
    tinyxml is not installed. Installing...
    Progress: Downloading tinyxml 2.6.2.1809242322... 100%
    Progress: Downloading tinyxml 2.6.2.1809242322... 100%
    
    tinyxml v2.6.2.1809242322
    tinyxml package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\tinyxml\tools\tinyxml.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of tinyxml was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y poco]
    Chocolatey v0.10.15
    Upgrading the following packages:
    poco
    By upgrading you accept licenses for the packages.
    poco is not installed. Installing...
    Progress: Downloading poco 1.8.1.1809242322... 100%
    Progress: Downloading poco 1.8.1.1809242322... 100%
    
    poco v1.8.1.1809242322
    poco package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\poco\tools\poco.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of poco was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y sdl]
    Chocolatey v0.10.15
    Upgrading the following packages:
    sdl
    By upgrading you accept licenses for the packages.
    sdl is not installed. Installing...
    Progress: Downloading sdl 1.2.15.1809242322... 100%
    Progress: Downloading sdl 1.2.15.1809242322... 100%
    
    sdl v1.2.15.1809242322
    sdl package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\sdl\tools\sdl.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of sdl was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y console_bridge]
    Chocolatey v0.10.15
    Upgrading the following packages:
    console_bridge
    By upgrading you accept licenses for the packages.
    console_bridge is not installed. Installing...
    Progress: Downloading console_bridge 0.4.0.1809242322... 100%
    Progress: Downloading console_bridge 0.4.0.1809242322... 100%
    
    console_bridge v0.4.0.1809242322
    console_bridge package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\console_bridge\tools\console_bridge.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of console_bridge was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    
    Enjoy using Chocolatey? Explore more amazing features to take your
    experience to the next level at
     https://chocolatey.org/compare
    executing command [pip install -U psutil]
    Collecting psutil
      Using cached https://files.pythonhosted.org/packages/c4/35/4422a966d304faa401d55dc45caf342722a14c0a9b56d57ecf208f9bb6a3/psutil-5.6.5-cp27-none-win_amd64.whl
    Installing collected packages: psutil
    Successfully installed psutil-5.6.5
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U gnupg]
    Collecting gnupg
      Using cached https://files.pythonhosted.org/packages/96/6c/21f99b450d2f0821ff35343b9a7843b71e98de35192454606435c72991a8/gnupg-2.3.1.tar.gz
    Requirement already satisfied, skipping upgrade: psutil>=1.2.1 in c:\opt\python27amd64\lib\site-packages (from gnupg) (5.6.5)
    Installing collected packages: gnupg
      Running setup.py install for gnupg ... done
    Successfully installed gnupg-2.3.1
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y libtheora]
    Chocolatey v0.10.15
    Upgrading the following packages:
    libtheora
    By upgrading you accept licenses for the packages.
    libtheora is not installed. Installing...
    Progress: Downloading libtheora 1.1.1.1809090720... 100%
    Progress: Downloading libtheora 1.1.1.1809090720... 100%
    
    libtheora v1.1.1.1809090720
    libtheora package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libtheora\tools\libtheora.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libtheora was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [pip install -U PyOpenGL]
    Collecting PyOpenGL
      Using cached https://files.pythonhosted.org/packages/9c/1d/4544708aaa89f26c97cc09450bb333a23724a320923e74d73e028b3560f9/PyOpenGL-3.1.0.tar.gz
    Installing collected packages: PyOpenGL
      Running setup.py install for PyOpenGL ... done
    Successfully installed PyOpenGL-3.1.0
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y cppunit]
    Chocolatey v0.10.15
    Upgrading the following packages:
    cppunit
    By upgrading you accept licenses for the packages.
    cppunit is not installed. Installing...
    Progress: Downloading cppunit 1.12.1.1809242322... 100%
    Progress: Downloading cppunit 1.12.1.1809242322... 100%
    
    cppunit v1.12.1.1809242322
    cppunit package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\cppunit\tools\cppunit.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of cppunit was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    
    Did you know the proceeds of Pro (and some proceeds from other
     licensed editions) go into bettering the community infrastructure?
     Your support ensures an active community, keeps Chocolatey tip top,
     plus it nets you some awesome features!
     https://chocolatey.org/compare
    executing command [choco upgrade -y bullet3]
    Chocolatey v0.10.15
    Upgrading the following packages:
    bullet3
    By upgrading you accept licenses for the packages.
    bullet3 is not installed. Installing...
    Error retrieving packages from source 'https://chocolatey.org/api/v2/':
     操作已超时。
    Progress: Downloading bullet3 2.87.0.1809242326... 100%
    Progress: Downloading bullet3 2.87.0.1809242326... 100%
    
    bullet3 v2.87.0.1809242326
    bullet3 package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\bullet3\tools\bullet3.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of bullet3 was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [choco upgrade -y libopencv]
    Chocolatey v0.10.15
    Upgrading the following packages:
    libopencv
    By upgrading you accept licenses for the packages.
    libopencv is not installed. Installing...
    Progress: Downloading libopencv 3.4.1.1809242322... 100%
    Progress: Downloading libopencv 3.4.1.1809242322... 100%
    
    libopencv v3.4.1.1809242322
    libopencv package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\libopencv\tools\opencv.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of libopencv was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    executing command [pip install -U defusedxml]
    Collecting defusedxml
      Using cached https://files.pythonhosted.org/packages/06/74/9b387472866358ebc08732de3da6dc48e44b0aacd2ddaa5cb85ab7e986a2/defusedxml-0.6.0-py2.py3-none-any.whl
    Installing collected packages: defusedxml
    Successfully installed defusedxml-0.6.0
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [pip install -U pydot]
    Collecting pydot
      Using cached https://files.pythonhosted.org/packages/33/d1/b1479a770f66d962f545c2101630ce1d5592d90cb4f083d38862e93d16d2/pydot-1.4.1-py2.py3-none-any.whl
    Requirement already satisfied, skipping upgrade: pyparsing>=2.1.4 in c:\opt\python27amd64\lib\site-packages (from pydot) (2.4.5)
    Installing collected packages: pydot
    Successfully installed pydot-1.4.1
    You are using pip version 18.1, however version 19.3.1 is available.
    You should consider upgrading via the 'python -m pip install --upgrade pip' command.
    executing command [choco upgrade -y sdl_image]
    Chocolatey v0.10.15
    Upgrading the following packages:
    sdl_image
    By upgrading you accept licenses for the packages.
    sdl_image is not installed. Installing...
    Progress: Downloading sdl_image 1.2.12.1809242322... 100%
    Progress: Downloading sdl_image 1.2.12.1809242322... 100%
    
    sdl_image v1.2.12.1809242322
    sdl_image package files upgrade completed. Performing other installation steps.
    Extracting C:\ProgramData\chocolatey\lib\sdl_image\tools\sdl_image.zip to C:\opt\rosdeps...
    C:\opt\rosdeps
     The upgrade of sdl_image was successful.
      Software installed to 'C:\opt\rosdeps'
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    
    Enjoy using Chocolatey? Explore more amazing features to take your
    experience to the next level at
     https://chocolatey.org/compare
    executing command [choco upgrade -y ros-vcpkg]
    Chocolatey v0.10.15
    Upgrading the following packages:
    ros-vcpkg
    By upgrading you accept licenses for the packages.
    ros-vcpkg is not installed. Installing...
    Progress: Downloading ros-vcpkg 2018.11.23.1906112226... 100%
    Progress: Downloading ros-vcpkg 2018.11.23.1906112226... 100%
    
    ros-vcpkg v2018.11.23.1906112226
    ros-vcpkg package files upgrade completed. Performing other installation steps.
    子目录或文件 c:\opt 已经存在。
    Cloning into 'vcpkg'...
    remote: Enumerating objects: 70022, done.
    remote: Total 70022 (delta 0), reused 0 (delta 0), pack-reused 70022Receiving objects: 100% (70022/70022), 17.58 MiB | 1.52 MiB/s
    Receiving objects: 100% (70022/70022), 18.30 MiB | 1.67 MiB/s, done.
    Resolving deltas: 100% (43788/43788), done.
    Updating files: 100% (4239/4239), done.
    在此对象上找不到属性“instance”。请确认该属性存在。
    所在位置 C:\opt\vcpkg\scripts\bootstrap.ps1:78 字符: 31
    +         foreach ($instance in $asXml.instances.instance)
    +                               ~~~~~~~~~~~~~~~~~~~~~~~~~
        + CategoryInfo          : NotSpecified: (:) [], PropertyNotFoundException
        + FullyQualifiedErrorId : PropertyNotFoundStrict
    
    Could not find Visual Studio. VS2015 or VS2017 (with C++) needs to be installed.
    所在位置 C:\opt\vcpkg\scripts\bootstrap.ps1:143 字符: 9
    +         throw "Could not find Visual Studio. VS2015 or VS2017 (with C ...
    +         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        + CategoryInfo          : OperationStopped: (Could not find ...o be installed.:String) [], RuntimeException
        + FullyQualifiedErrorId : Could not find Visual Studio. VS2015 or VS2017 (with C++) needs to be installed.
    
     The upgrade of ros-vcpkg was successful.
      Software install location not explicitly set, could be in package or
      default install location if installer.
    
    Chocolatey upgraded 1/1 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    #All required rosdeps installed successfully
      ros-melodic-desktop_full can be automatically uninstalled.
    Environment Vars (like PATH) have changed. Close/reopen your shell to
     see the changes (or in powershell/cmd.exe just type `refreshenv`).
     The upgrade of ros-melodic-desktop_full was successful.
      Software installed to 'C:\Program Files\Mercurial\'
    
    Chocolatey upgraded 10/10 packages.
     See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).
    
    Upgraded:
     - kb2919355 v1.0.20160915
     - kb3033929 v1.0.5
     - kb2999226 v1.0.20181019
     - ros-catkin-tools v0.0.1.1903221831
     - ros-python2 v2.7.15.1904300710
     - ros-melodic-desktop_full v20190729.1
     - kb2919442 v1.0.20160915
     - vcredist140 v14.23.27820
     - kb3035131 v1.0.3
     - chocolatey-windowsupdate.extension v1.0.4
    
    E:\Program Files (x86)\Microsoft Visual Studio\2019\Community>

     

    展开全文
  • ,此教程将逐步介绍如何从Linux移植到构建和发布,并在Windows上支持ROS节点。 移植ROS节点 要将ROS节点移植到Windows,可使用以下步骤。 通过《使用ROS软件包》指南确定ROS节点是否支持在Windows进行二进制或...

    移植ROS软件包

    Windows上的C ++ ROS节点是nodelet的可执行文件或dll。 ROS节点通常是一个或多个库或应用程序的包装,这可能需要单独的软件开发工具包(SDK)或其他下载文件。,此教程将逐步介绍如何从Linux移植到构建和发布,并在Windows上支持ROS节点。

     

    移植ROS节点

    要将ROS节点移植到Windows,可使用以下步骤。

    1. 通过《使用ROS软件包》指南确定ROS节点是否支持在Windows进行二进制或源码部署。
    2. 创建一个fork,在本地克隆并创建一个分支
    3. 解决依赖关系
    4. 在工作区运行catkin_make指令进行编译
    5. 修复构建中断 Fix Build breaks
    6. 修复链接器中断 Fix linker breaks
    7. 修复运行时错误 Fix runtime bugs
    8. 提交并发出拉取请求

     

    下载源码 Forking & Cloning.

    Fork the repository into your account and clone the melodic branch into a workspace created for the port.

    1. On github.com, fork https://github.com/<organization>/<project> into your personal github repo
    2. Create a workspace and clone:

    mkdir c:\ws\ros_ws\src

    cd c:\ws\ros_ws\src

    git clone https://github.com/<your github>/<project>

    cd ..

     

     

    解决依赖关系 Resolve Dependencies

    许多ROS软件包需要依赖库。 在检索ROS软件包的源代码之后,运行工具rosdep,该工具将尝试使用二进制和源代码分发管理器来解决软件包依赖性。

    在Windows上,使用二进制程序包管理器Chocolatey。使用Microsoft的VCPkg管理器管理源代码发行版或依赖库。

    在工作区中,使用rosdep解决依赖关系

    rosdep update

    rosdep install --from-paths src --ignore-src -r -y

    您可能会看到以下输出,表明缺少依赖项:

    ERROR: the following packages/stacks could not have their rosdep keys resolved

    to system dependencies:

    <package: No definition of [<dependent library>] for OS [windows]

    #All required rosdeps installed successfully

    如果缺少依赖项,请按照“使用VCPKG”解决现有端口中的步骤,或根据需要使用“添加VCPKG”添加端口。

    请注意运行rosdep时打印的特殊说明-为了在Windows上正确链接,可能需要这些特殊说明。

     

    缺少ROS消息 Missing ROS Messages  

    许多ROS消息未打包为二进制分发。 这些可以简单地克隆到仓库中。

    cd c:\ws\ros_ws\src

    git clone https://github.com/<dependent package organization>/<depdnent package>

    cd ..

    rosdep install --from-paths src --ignore-src -r -y

     

    修复构建中断 Fixing Build breaks

    在构建过程中,您可能会遇到构建中断的情况。 通常,节点取决于特定于平台的头文件或功能。 为了移植这些,建议在迁移过程中利用Boost,STL和跨平台库中等效的跨平台库。

    有关移植的一般帮助,请参阅《移植指南:平台差异》。

     

     

    展开全文
  • Running ROS on Windows 10

    2018-12-31 09:18:00
    1.在Windows10下安装ROS。需要开启WSL。参考 2.修改ubuntu国内源,可以提高安装包下载更新速度。 (1)原文件备份:sudo cp /etc/apt/sources.list /etc/apt/sources.list.bak (2)编辑源列表文件:sudo vim /...
  • 运行环境: ros:Indigo windows 10 + VS2013(2015也可以) 目的:使用windows上生成的命令控制Linux系统上ROS控制的机器人移动。 工作流程 从基于ROS的系统中,生成ros_lib代码 将ros_lib代码放入... 在ROS...
  • # 1.二进制安装 如果有ROS软件包的二进制发行版,可以使用Chocolatey安装 choco install ros-melodic-<package_name>...首先测试源码是否可在windows系统上编译运行 :: activate the ROS environmen...
  • 在Windows上开发ROS的正确姿势 之前在Windows我安装ROS的Windows版本,由于国内没有Chocolatey的镜像,安装一遍ROS得花上一整天时间,还不一定能安装成功。另外一个缺点是Windows安装包只有一个full desktop的版本,...
  • 如果不想使用ROS或者ROS版本安装太多占用了C盘太多空间怎么办? 果断卸载啊!!!怎么卸载? ...找到这个文件夹直接删除吗?...找到对应版本ROS,点击删除即可!...点击“是(Y)”,一小会就完成了,C盘空间又多了... Windo
  • 课程简介 本课程将带领大家通过PVE这个虚拟机平台,你的家庭局域网络中,搭建软路由 适用人群 有一定的网络基础知识。喜欢折腾硬件的朋友
  • Windows系统安装使用ROS1Melodic和ROS2Dashing机器人操作系统的教程将逐步更新。 安装ROS1和ROS2的资料链接:https://blog.csdn.net/ZhangRelay/article/details/101685013 使用ROS1和ROS2的教程说明:...
  • 最近由于意识到ROS调试起来是比较方便,而切来切去实在影响心情,于是着手研究Windows上安装ROS的操作,并做了下记录。 由于该操作依据得到了官方支持,于是安装的难度也不算大,不过也没Ubuntu那么简单,可以直接...
  • 2.然后分别在windows端和ubuntu终端运行用VS打开的含有lib的控制台程序和socket_node. 3.可以发现基于TCP/IP的局域网通信中的写和读是转换成ROS机制下的节点发布和订阅. 4.可以编写其它的节点程序实现想要的功能. ...
  • 在Windows10安装和使用机器人操作系统ROS补充说明

    万次阅读 热门讨论 2018-10-02 21:15:29
    适用于WindowsROS: https://microsoft.github.io/Win-RoS-Landing-Page/#人们一直对机器人着迷。今天,先进的机器人正在改变我们的生活,无论是工作还是家里。仓库机器人已经为在线购物者提供了次日送货服务...
  • 在移植之初,读者需要先在Windows系统中安装好ROS系统,本教程安装的melodic版本,为 Windows 构建 ROS 项目需要 Visual Studio,这里安装的是 Visual Studio 2017 (Community)。 具体安装过程可以参考以下两个...
  • 配置ROS和ABB Robot Studio,实现ROS与ABB IRC5机械臂控制器之间的以太网...文章主要介绍了Windows10如何设定静态IP地址,虚拟机Ubuntu如何连接到网络并设定静态IP,如何ABB Robot Studio中配置ROS驱动包ABB Driver。
  • 运行环境: ros:melodic windows 10 + VS2017 目的:使用windows上生成的命令控制Linux系统上ROS控制的小海龟移动...4.在ROS master上运行rosserial_server套接字 5.编译并运行Windows应用程序。 第一步 生成ros_lib
  • 版本ros2-alpha6-package-windows 系统版本 windows 10 python版本 3.6.5 vs版本 2015community 安装流程https://github.com/ros2/ros2/wiki/Windows-Install-Binary 问题:call命令找不到路径[img=...
  • ROS Windows人机交互软件开发及使用以上线古月学院,欢迎感兴趣的小伙伴订阅 如何实现windows ROS人机交互软件 win10 ROS安装之后将opt目录及vs2019目录拷贝到平板上即可,详细可参考视频教程
  • 使用rosserial_windows实现windows与ROS master发送与接收消息(适用版本hydro,...在windows系统使用ROS:https://blog.csdn.net/ZhangRelay/article/details/82899582 官方wiki地址汇总请参考:http://blog...
  • Windows WSL安装ROS

    2021-02-27 21:45:52
    1. ROS 的安装 ros是一个很大的软件,现在支持windows,以前仅支持linux,没有接触之前可能觉得安装使用很繁琐,其实按照官网的步骤,几个命令复制粘贴一下,比想象中的简单多了...注意,如果是在windows系统中使用ub
  • 这几天为了解决这些问题一直发愁,今天晚上终于成功... 将处理好的数据按照ROS的格式和要求使用TCP协议转发出去 此过程中遇到两个主要的问题: 问题一:成员变量是类对象,且该类对象的构造函数是含有参数的 U...
  • ![图片说明](https://img-ask.csdn.net/upload/201907/21/1563716665_4666.png) 根据官网教程安装,安装的visual studio版本是2019,快捷键出现错误,打开后闪退,求大神帮忙解答
  • 在Windows环境下,安装Android中的ROS环境

    千次阅读 热门讨论 2020-03-05 11:10:16
    由于ROS提供了Android的对应的开发库,我们可以方便的Android中开发相应的ROS客户端程序。下面介绍一下Android中使用ROS库的方法。 ROSJava 安装 官方安装教程地址 开发环境配置 Android的开发一般使用Android ...
  • 之前说了,我在ROS上的代码是C++的,所以我希望WinPC上用c++来连接ROS。 (我这么用的原因是:我不知道如果语言不同产生的ROS节点能不能通信) ps:http://wiki.ros.org/cn/ROS/Tutorials/UnderstandingNodes  ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 491
精华内容 196
关键字:

ros在windows